var $properties;
var $data;

function init(args){

    var component       = args.setting;
    var data            = args.data;
    var locale          = Contexts.getAccountContext().locale;
    var labelStyle      = component.item_properties.label_styles;
    var inputProperties = component.input_list[0].input_properties;

    $properties = {
        label                  : component.item_properties.labels[0][ locale ],
        label_size             : component.item_properties.label_size[0],
        input_id               : component.input_list[0].input_id,
        input_field_size       : component.input_list[0].input_properties.input_field_size,
        input_field_height     : component.input_list[0].input_properties.input_field_height,
        label_background_color : (labelStyle && labelStyle[0].label_background_color ? 'background-color : ' + labelStyle[0].label_background_color + ';': ''),
        label_font_color       : (labelStyle && labelStyle[0].label_font_color ? 'color : ' + labelStyle[0].label_font_color+ ';': ''),
        label_font_family      : (labelStyle && labelStyle[0].label_font_family[ locale ] ? 'font-family : ' + labelStyle[0].label_font_family[ locale ]+ ';': ''),
        label_font_size        : (labelStyle && labelStyle[0].label_font_size ? 'font-size : ' + labelStyle[0].label_font_size+ 'px;': ''),
        label_font_bold        : (labelStyle && labelStyle[0].label_font_bold ? 'bold' : 'normal'),
        label_font_italic      : (labelStyle && labelStyle[0].label_font_italic ? 'italic' : 'normal'),
        label_font_underline   : (labelStyle && labelStyle[0].label_font_underline ? 'underline' : 'none'),
        label_wrap             : (labelStyle && labelStyle[0].label_wrap === false ? 'nowrap;overflow: hidden' : 'normal'),
        initial_value          : inputProperties.initial_value[ locale ],
        input_background_color : (inputProperties.input_background_color ?
            'background-color : ' + inputProperties.input_background_color + ';' : ''),
        input_font_color       : (inputProperties.input_font_color ? 
            'color : ' + inputProperties.input_font_color + ';' : ''),
        input_font_family      : (inputProperties.input_font_family && inputProperties.input_font_family[ locale ] ? 
            'font-family : ' + inputProperties.input_font_family[ locale ]+ ';': ''),
        input_font_size        : (inputProperties.input_font_size ? 
            'font-size : ' + inputProperties.input_font_size + 'px;': ''),
        input_line_height      : (inputProperties.input_font_size && 13 < inputProperties.input_font_size ? 
            'line-height : normal;' : 'line-height : 20px;'),
        input_font_bold        : inputProperties.input_font_bold ? 'bold' : 'normal',
        input_font_italic      : inputProperties.input_font_italic ? 'italic' : 'normal',
        input_font_underline   : inputProperties.input_font_underline ? 'underline' : 'none',
        border_color           : (inputProperties.border_color ?
                'border-color : ' + inputProperties.border_color + ';' : ''),
        data_type              : component.input_list[0].input_data_type
    };

    $data = {
        no_escape : '',
        value : ''
    };

    if( typeof data[ $properties.input_id ] !== 'undefined' ){
        $data.no_escape = data[ $properties.input_id ];
        $data.value = Module.string.escapeHtml( data[ $properties.input_id ] );
    }


    /** 枠線設定用*/
    var borderClass = '';
    var borderStyle = '';
    if(inputProperties.bottom_only){
        borderClass = ' imfr_input_underline';
        borderStyle = 'border-top-color : #ffffff; ';
    }else if(inputProperties.no_frames){
        borderClass = ' imfr_input_noframes';
        borderStyle = 'border-color : #ffffff; border-width: 1px;';
    }
    $properties.border_class = borderClass;
    $properties.border_style = borderStyle;
}

function escapeHtml( data ){
  return Module.string.escapeHtml( data );
}